#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: nonce
version: 1.0.7
id: nonce-1.0.7-DG5vnA5QHviC8ZGlGSlZGr
key: nonce-1.0.7-DG5vnA5QHviC8ZGlGSlZGr
license: BSD-3-Clause
copyright: (c) 2014 Prowdsponsor
maintainer: Prowdsponsor <opensource@prowdsponsor.com>
author: Felipe Lessa <felipe.lessa@prowdsponsor.com>
homepage: https://github.com/prowdsponsor/nonce
synopsis: Generate cryptographic nonces.
description:
    According to the Wikipedia, a nonce is an arbitrary number used
    only once in a cryptographic communication.  This package
    contain helper functions for generating nonces.
    .
    There are many kinds of nonces used in different situations.
    It'\''s not guaranteed that by using the nonces from this package
    you won'\''t have any security issues.  Please make sure that the
    nonces generated via this package are usable on your design.
category: Cryptography
abi: a3ee921c9b76a6090a4478ac5823ce03
exposed: True
exposed-modules:
    Crypto.Nonce
import-dirs: /usr/lib/ghc-8.4.3/site-local/nonce-1.0.7
library-dirs: /usr/lib/ghc-8.4.3/site-local/nonce-1.0.7
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/nonce-1.0.7
hs-libraries: HSnonce-1.0.7-DG5vnA5QHviC8ZGlGSlZGr
depends:
    base-4.11.1.0 base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37
    bytestring-0.10.8.2 text-1.2.3.0 transformers-0.5.5.0
    entropy-0.4.1.3-DgdrwWh8SPxKScPoc17aKl
    unliftio-0.2.8.1-1HumzYdueHS6cLX7GtVeJl
    unliftio-core-0.1.2.0-900TPot3SR34dceIcVaslS
abi-depends: base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37=6373b2ec1ae2585bcca6cddbee5d3e75
             bytestring-0.10.8.2=76943c00398d547fb172e56c2f93c635
             text-1.2.3.0=be4c3e1c57cff1d501eb0e876706a48d
             transformers-0.5.5.0=633c3e5ec737c360775b452ce9aa1e0b
             entropy-0.4.1.3-DgdrwWh8SPxKScPoc17aKl=a55ec7d342356afca4f8cc8fa89eea9d
             unliftio-0.2.8.1-1HumzYdueHS6cLX7GtVeJl=715407274b0de85ca9392e8637cce080
             unliftio-core-0.1.2.0-900TPot3SR34dceIcVaslS=f455d126eaad42d9d326e7b0a54e0e51
haddock-interfaces: /usr/share/doc/haskell-nonce/html/nonce.haddock
haddock-html: /usr/share/doc/haskell-nonce/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

